X-Ware IoT Platform SC

Certificate details

Status archived
Valid from 28.09.2018
Valid until 28.09.2023
Scheme ๐Ÿ‡ณ๐Ÿ‡ด NO
Manufacturer Express Logic
Category Operating Systems
Security level ALC_FLR.1, EAL4+

Certificate

Extracted keywords

Security level
EAL4, EAL 4, EAL4 augmented
Security Assurance Requirements (SAR)
ALC_FLR
Certificates
SERTIT-113
Evaluation facilities
Brightsight

Certification report

Extracted keywords

Hash functions
MD5
Protocols
TLS
Randomness
RNG

Security level
EAL 4+, EAL 2, EAL 4, EAL4, EAL1, EAL7, EAL4 augmented
Security Assurance Requirements (SAR)
ADV_ARC.1, ADV_FSP.4, ADV_IMP.1, ADV_TDS.3, AGD_OPE.1, AGD_PRE.1, ALC_FLR, ALC_FLR.1, ALC_CMC.4, ALC_CMS.4, ALC_DEL.1, ALC_DVS.1, ALC_LCD.1, ALC_TAT.1, ATE_COV.2, ATE_DPT.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.3, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1
Certificates
SERTIT-113
Evaluation facilities
Brightsight

Side-channel analysis
side channel, timing attacks

Standards
FIPS197, FIPS1804, FIPS1981, RFC3447, RFC5246, ISO/IEC 15408, CCMB-2017-04-004

Security target

Extracted keywords

Symmetric Algorithms
TDEA, HMAC
Protocols
SSL, TLS, TLS 1.1
Randomness
RNG

Vendor
NXP

Security level
EAL4, EAL4 augmented
Claims
O.CRYPTO_TEST, O.MQTTTLS, O.SECRETS_CLEARING, O.TLS, T.MITM, A.TRUSTED_INTEGRATOR, OE.TRUSTED_PLATFORM, OE.UNDERLYING_CRYPTO, OE.INTEGRATOR_SECRETS, OE.TRUSTED_INTEGRATOR
Security Assurance Requirements (SAR)
ALC_FLR.1
Security Functional Requirements (SFR)
FDP_RIP.1, FDP_RIP.1.1, FPT_TEE.1, FPT_RPL.1, FPT_TEE.1.1, FPT_TEE.1.2, FPT_RPL.1.1, FPT_RPL.1.2, FTP_ITC.1, FTP_ITC.1.1, FTP_ITC.1.2, FTP_ITC.1.3

Side-channel analysis
side channel, timing attacks
Certification process
out of scope, parts are within the evaluation scope and the gray parts are outside of the evaluated scope. The out of scope logical parts compromise the integrator application and device driver software to abstract the

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Certificate ID

SERTIT-113

Extracted SARs

ADV_ARC.1, ADV_FSP.4, ADV_IMP.1, ADV_TDS.3, AGD_OPE.1, AGD_PRE.1, ALC_CMC.4, ALC_CMS.4, ALC_DEL.1, ALC_DVS.1, ALC_FLR.1, ALC_LCD.1, ALC_TAT.1, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1, ATE_COV.2, ATE_DPT.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.3

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "Operating Systems",
  "cert_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/SERTIT-113_Certificate.pdf",
  "dgst": "f612b297b72f9fe2",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": "SERTIT-113",
    "cert_lab": null,
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL4+",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMS",
          "level": 4
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_TSS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_FUN",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_DPT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_SPD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_FLR",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_TAT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_IND",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_FSP",
          "level": 4
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_CCL",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_ECD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_REQ",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_PRE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_INT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 3
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_IMP",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_ARC",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_COV",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_OPE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMC",
          "level": 4
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_LCD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_DVS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_TDS",
          "level": 3
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_OBJ",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_DEL",
          "level": 1
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": null,
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "scheme_data": null,
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": []
  },
  "manufacturer": "Express Logic",
  "manufacturer_web": "https://rtos.com",
  "name": "X-Ware IoT Platform SC",
  "not_valid_after": "2023-09-28",
  "not_valid_before": "2018-09-28",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": "SERTIT-113_Certificate.pdf",
    "cert_frontpage": null,
    "cert_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "NO": {
          "SERTIT-113": 1
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ALC": {
          "ALC_FLR": 2
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL 4": 1,
          "EAL4": 1,
          "EAL4 augmented": 1
        }
      },
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {},
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "BrightSight": {
          "Brightsight": 1
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {},
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "cert_metadata": {
      "pdf_file_size_bytes": 753377,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 1
    },
    "report_filename": "SERTIT-113 CR v1.0.pdf",
    "report_frontpage": {},
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "NO": {
          "SERTIT-113": 18
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_ARC.1": 1,
          "ADV_FSP.4": 1,
          "ADV_IMP.1": 1,
          "ADV_TDS.3": 1
        },
        "AGD": {
          "AGD_OPE.1": 1,
          "AGD_PRE.1": 1
        },
        "ALC": {
          "ALC_CMC.4": 1,
          "ALC_CMS.4": 1,
          "ALC_DEL.1": 1,
          "ALC_DVS.1": 1,
          "ALC_FLR": 1,
          "ALC_FLR.1": 6,
          "ALC_LCD.1": 1,
          "ALC_TAT.1": 1
        },
        "ASE": {
          "ASE_CCL.1": 1,
          "ASE_ECD.1": 1,
          "ASE_INT.1": 1,
          "ASE_OBJ.2": 1,
          "ASE_REQ.2": 1,
          "ASE_SPD.1": 1,
          "ASE_TSS.1": 1
        },
        "ATE": {
          "ATE_COV.2": 1,
          "ATE_DPT.1": 1,
          "ATE_FUN.1": 1,
          "ATE_IND.2": 1
        },
        "AVA": {
          "AVA_VAN.3": 1
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL 2": 1,
          "EAL 4": 2,
          "EAL 4+": 20,
          "EAL1": 1,
          "EAL4": 1,
          "EAL4 augmented": 1,
          "EAL7": 1
        }
      },
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "TLS": {
            "TLS": 36
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "BrightSight": {
          "Brightsight": 2
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 1
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "RNG": {
          "RNG": 2
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "side channel": 1,
          "timing attacks": 1
        }
      },
      "standard_id": {
        "CC": {
          "CCMB-2017-04-004": 1
        },
        "FIPS": {
          "FIPS1804": 1,
          "FIPS197": 1,
          "FIPS1981": 1
        },
        "ISO": {
          "ISO/IEC 15408": 8
        },
        "RFC": {
          "RFC3447": 1,
          "RFC5246": 1
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "report_metadata": {
      "/AAPL:Keywords": "[]",
      "/CreationDate": "D:20180928171651Z00\u002700\u0027",
      "/Creator": "Word",
      "/Keywords": "",
      "/ModDate": "D:20180928171651Z00\u002700\u0027",
      "/Producer": "macOS Version 10.14 (Build 18A391) Quartz PDFContext",
      "/Title": "Microsoft Word - SERTIT-113 CR v1.0.docx",
      "pdf_file_size_bytes": 902237,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 18
    },
    "st_filename": "[ST] X-Ware IoT Platform SC Security Target V2.0.pdf",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.TRUSTED_INTEGRATOR": 3
        },
        "O": {
          "O.CRYPTO_TEST": 5,
          "O.MQTTTLS": 6,
          "O.SECRETS_CLEARING": 5,
          "O.TLS": 5
        },
        "OE": {
          "OE.INTEGRATOR_SECRETS": 3,
          "OE.TRUSTED_INTEGRATOR": 3,
          "OE.TRUSTED_PLATFORM": 3,
          "OE.UNDERLYING_CRYPTO": 3
        },
        "T": {
          "T.MITM": 3
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ALC": {
          "ALC_FLR.1": 3
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL4": 2,
          "EAL4 augmented": 1
        }
      },
      "cc_sfr": {
        "FDP": {
          "FDP_RIP.1": 6,
          "FDP_RIP.1.1": 1
        },
        "FPT": {
          "FPT_RPL.1": 8,
          "FPT_RPL.1.1": 1,
          "FPT_RPL.1.2": 1,
          "FPT_TEE.1": 8,
          "FPT_TEE.1.1": 1,
          "FPT_TEE.1.2": 1
        },
        "FTP": {
          "FTP_ITC.1": 6,
          "FTP_ITC.1.1": 1,
          "FTP_ITC.1.2": 1,
          "FTP_ITC.1.3": 1
        }
      },
      "certification_process": {
        "OutOfScope": {
          "out of scope": 1,
          "parts are within the evaluation scope and the gray parts are outside of the evaluated scope. The out of scope logical parts compromise the integrator application and device driver software to abstract the": 1
        }
      },
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "TLS": {
          "SSL": {
            "SSL": 1
          },
          "TLS": {
            "TLS": 40,
            "TLS 1.1": 2
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "RNG": {
          "RNG": 3
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "side channel": 2,
          "timing attacks": 2
        }
      },
      "standard_id": {
        "FIPS": {
          "FIPS 180-4": 1,
          "FIPS 197": 1,
          "FIPS 198-1": 1,
          "FIPS1804": 3,
          "FIPS197": 3,
          "FIPS1981": 3
        },
        "PKCS": {
          "PKCS#1": 1
        },
        "RFC": {
          "RFC 3447": 1,
          "RFC 4279": 1,
          "RFC 4346": 1,
          "RFC 5246": 1,
          "RFC 5280": 1,
          "RFC 5652": 1,
          "RFC 5746": 1,
          "RFC 6066": 1,
          "RFC 8017": 1,
          "RFC3447": 3,
          "RFC4279": 1,
          "RFC4346": 3,
          "RFC5246": 3,
          "RFC5280": 1,
          "RFC5652": 1,
          "RFC5746": 1,
          "RFC6066": 1,
          "RFC8017": 1
        },
        "X509": {
          "X.509": 1
        }
      },
      "symmetric_crypto": {
        "DES": {
          "3DES": {
            "TDEA": 1
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 1
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "NXP": {
          "NXP": 1
        }
      },
      "vulnerability": {}
    },
    "st_metadata": {
      "/Author": "Yuping Tan",
      "/CreationDate": "D:20180824153125+02\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word 2010",
      "/ModDate": "D:20180824153125+02\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word 2010",
      "pdf_file_size_bytes": 374642,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 15
    }
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": []
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/SERTIT-113%20CR%20v1.0.pdf",
  "scheme": "NO",
  "security_level": {
    "_type": "Set",
    "elements": [
      "EAL4+",
      "ALC_FLR.1"
    ]
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/[ST]%20X-Ware%20IoT%20Platform%20SC%20Security%20Target%20V2.0.pdf",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "5c34addc15674f65b356608e1b18ed2083e816880280c2ac09ad0e788c0bf650",
      "source_hash": "084d80ac12a3357d79d6ea84237750400f2428cc5130f16fb8fd3ee2cb455e01",
      "txt_hash": "d74939d3e9875fece4a67dd35e196f1264712833082ba7912f2bf5d75208b70f"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "05d15e0d9d7dde9ee3705f3ebc458bf89778c524f8a148f17f30904e2393716e",
      "source_hash": "1323655da9f26c390584e0733885170c4b8ab37d06aae9f4868c87bf974abbc0",
      "txt_hash": "cb4648d8abdc3fd5d13ac170b9416df912729f0a94b928e8d809f14f53165c00"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "8752e8381e8bf88e9f0bc1ce841d1b3fe53682c1ca49fffd1f0b30c815a1848b",
      "source_hash": "415c8eef5f4908e0b5524160b5d0d4b9ecc69e2f21719315c57f0e5f52baaf70",
      "txt_hash": "e061160f754cfaad3e594c346b15774302513d1e56c0e9f7c47bd71224d9281a"
    }
  },
  "status": "archived"
}